%define anolis_release 1

Name:               libosinfo
Version:            1.11.0
Release:            %{anolis_release}%{?dist}
Summary:            A library for managing OS information for virtualization
License:            LGPLv2+
URL:                https://libosinfo.org/
Source0:            https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz

BuildRequires:      meson gcc gcc-c++ automake autoconf
BuildRequires:      gtk-doc gettext-devel glib2-devel
BuildRequires:      libxml2-devel >= 2.6.0 libxslt-devel >= 1.0.0 libsoup3-devel
BuildRequires:      vala hwdata git osinfo-db /usr/bin/pod2man
BuildRequires:      gobject-introspection-devel
Requires:           hwdata osinfo-db osinfo-db-tools


%description
The libosinfo project comprises three parts
    1. A database of metadata about operating systems, hypervisors, virtual hardware and more
    2. A GObject based library API for querying information from the database
    3. Command line tools for querying & extracting information from the database


%package devel
Summary:            Libraries, includes, etc. to compile with the libosinfo library
Requires:           %{name} = %{version}-%{release}
Requires:           pkgconfig glib2-devel
Obsoletes:          %{name}-vala < 1.3.0-3
Provides:           %{name}-vala = %{version}-%{release}

%description devel
libosinfo is a library that allows virtualization provisioning tools to determine 
the optimal device settings for a hypervisor/operating system combination.


%package doc
Summary:        Doc files for libosinfo
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for libosinfo

%prep
%autosetup -S git -p1

%build
%meson -Denable-gtk-doc=true -Denable-tests=true \
       -Denable-introspection=enabled -Denable-vala=enabled
%meson_build

%install
%meson_install
%find_lang %{name}
%generate_compatibility_deps

%check
%meson_test

%files -f %{name}.lang
%dir %{abidir}
%license COPYING.LIB
%{_bindir}/osinfo-query
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-install-script
%{_libdir}/%{name}-1.0.so.*
%{_libdir}/girepository-1.0/Libosinfo-1.0.typelib
%{abidir}/*.dump
%{abidir}/*-option.list
%{_mandir}/man1/osinfo-detect.1*
%{_mandir}/man1/osinfo-query.1*
%{_mandir}/man1/osinfo-install-script.1*


%files devel
%dir %{_includedir}/%{name}-1.0/
%dir %{_includedir}/%{name}-1.0/osinfo/
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_includedir}/%{name}-1.0/osinfo/*.h
%{_libdir}/%{name}-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gtk-doc/html/Libosinfo
%{_datadir}/gir-1.0/Libosinfo-1.0.gir
%{_datadir}/vala/vapi/libosinfo-1.0.deps
%{_datadir}/vala/vapi/libosinfo-1.0.vapi


%files doc
%doc README AUTHORS NEWS ChangeLog


%changelog
* Fri Dec 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.11.0-1
- update to version 1.11.0

* Thu Apr 13 2023 chen_yu_ao <m15927509890@163.com> - 1.10.0-3
- change spec file format

* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.10.0-2
- rebuild with libsoup3

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.10.0-1
- Init from upstream version 1.10.0

